BuildTools Updates & Information

Discussion in 'News and Announcements' started by md_5, Jan 5, 2015.

Thread Status:
Not open for further replies.
  1. I notice a lot of people are confused if their spigot server is current / up-to-date. Me too! So I wrote a php script for my minecraft server's webserver...

    [​IMG]

    PHP:
    <table>
    <?php
    $builddir = "/home/spigot";
    $buildFlag = FALSE;
    $repos = array( "Spigot", "BuildData", "Bukkit", "CraftBukkit");
    $gitVers = array( "Spigot","CraftBukkit" ) ;

    foreach( $repos as $repo  ) {

        echo "<tr><td><b>$repo:</b></td>";

        $command = "cd $builddir/$repo";$output=""; $retval=0;
        exec( $command, $output, $retval );
        if( $retval == 0 ) {

            //    git log oneline summaries of last one entry
            $command = "cd $builddir/$repo; git log --oneline -1";$output=""; $retval=0;
            exec( $command, $output, $retval );    //    e497721 Upstream merge.
            $_ver = substr( $output[0],0,7 ) ;    //    e497721
            if( in_array($repo,$gitVers) )
                ${'git'.$repo} = $_ver;
       
            $_ver="<a href=\"https://hub.spigotmc.org/stash/projects/SPIGOT/repos/". strtolower($repo) ."/commits\" target=\"_commits\" title=\"check commits\">$_ver</a>";
            $command = "cd $builddir/$repo; git status";$output=""; $retval=0;
            exec( $command, $output, $retval );
            $branch = $output[1];
            if( strpos($branch, "Your branch is up-to-date with 'origin/master'") === 0 ) {
                echo "<td><small>$_ver is current</small></td></tr>";
            }
            else {
                echo "<td class=\"error\">$_ver is not current</td>";
                $buildFlag = TRUE;
            }    
        } else {
            echo "<td class=\"error\">Build directory missing!</td>";
            $buildFlag = TRUE;
        }
        echo "</tr>";
    }
    ?></table>
    <?php
    if( isset( $gitSpigot ) && isset( $gitCraftBukkit ) )
        printf( "<small>Server version: git-Spigot-%s-%s</small>", $gitSpigot, $gitCraftBukkit );

    if( $buildFlag === TRUE )
        echo "\n<span class=\"error\"><b>One or more dependencies for Spigot is out of date!</b></span>";
    ?>
     

    edit: pimped out php variable $_ver so you can see all of md_5 & everyone's hard work!
     
    #81 smashedagainst, Jan 8, 2015
    Last edited: Jan 8, 2015
    • Useful Useful x 1
  2. Thank you again!!!

    You guys are the absolute greatest. Using Ubuntu 14.10 and it was fantastical! A couple quick downloads and a couple super easy commands later, it took off and BAM! Awesomeness in the output folder a few minutes later :)
     
  3. Phew, way easier.
    Thank you spigot team.
     
  4. Great thanks team!
     
  5. And also i love the work this website do =P
     
  6. Shaggy67

    Supporter

    Probably because the distribution of Java that is usually available through the Linux package managers (apt-get, yum, etc) is the OpenJDK one. I don't think you can get the Oracle Java distribution that way. You'd need to download that directly from Oracle and install it yourself. My guess is they are showing how to install OpenJDK for Linux cause it's a little simpler, not necessarily because they recommend it over the Oracle one.
     
  7. md_5

    Administrator Developer

    @TheMcGuider there is practically no difference between the two as of Java 7. Java 6 they differed a lot, but then they merged in Java 7. I personally use OpenJDK without exception.
     
    • Informative Informative x 2
  8. Jad

    Jad

    All mac users are cheering.
     
  9. Wow thanks md_5 :D ñ.ñ great job!
     
  10. Thanks so much for all of the hard work! The Mac compatibility is greatly appreciated!
     
  11. FYI, OS X doesn't have wget so you might want to remove the "Mac OSX" from the wget instructions.
    Also pretty sure it doesn't come with Git unless you have the command line tools, but no one seems to be having problems with that.
     
  12. I'm confident that I screwed something up but need to know if anyone else is having issues with PEX.

    I updated to build #22 yesterday and my players are being denied bukki.command nodes. A good example is that bukkit.command.teleport is now being ignored but using minecraft.command.teleport in its place allows use of /tp

    Three people, as well as myself, have gone over my permissions file multiple times and its solid.
     
  13. Use UNIX style path names (substitute the ascii hex value preceded by % for special characters and space). It will work. In your example, it needs to be "C:\program%20files%20%28x86%29\minecraft\spigot%20v1.8%20compile%20tools\compiled%20%2322\". It should work. I don't know why anyone would want to, but you could also do the whole path that way "%43%4a%5c%50%72%6f%67%61%6d%20%47%69%6c%65%73%20%28%78%38%36%29%5c..."
     
    #93 Rhinorulz, Jan 9, 2015
    Last edited: Jan 9, 2015
    • Agree Agree x 1
  14. Debian 7.x and 8.x does not include git by default.
     
  15. md_5

    Administrator Developer

    Yes, this is correct and intended.
     
  16. If anybody wants the Oracle JDK unless you have a desktop on your linux boxes, (If you do you can download it from oracle as you have to accept the T&C's before you can download it using firefox,. Not commenting if you have desktops on your Linux boxes :)

    You can download it using wget, provided you pass the correct header settings. The following code should work with all flavors of Linux and will give you the RPM, you can change the code and get the TAR if you want.

    Ok you do not need to be root to download it but you will need to install it, if you don't know how to install using rpm, google it.

    Just run this from the shell provided you have wget installed 99% will already have it.

    Code (Text):
    wget --no-cookies --no-check-certificate --header "Cookie: gpw_e24=http%3A%2F%2Fwww.oracle.com%2F; oraclelicense=accept-securebackup-cookie" "http://download.oracle.com/otn-pub/java/jdk/8u25-b17/jdk-8u25-linux-x64.rpm" -O "jdk-8u25-linux-x64.rpm"
    They change their cookies and http headers every few months so bare that in mind if you read this in 2 months time, I did a lot of data scrapping years ago so took 2 mins to work out the latest headers.. Also when they release the next update if they haven't changed their header just change the URL to the latest version this is for 64Bit by the way.

    For anybody who says it does not work see image :)

    jdk.jpg

    Enjoy

    Regards Relicum.
     
  17. I know the repository is stated to be a Spigot repo but would it be too much to ask you guys to slip BungeeCord in there? :p
    (Sorry if it's there and I haven't noticed it yet!)

    Great work by the way!
     
  18. So BuildTools is only needed to get the server jars right? I can copy those server jars to another location?
     
  19. Once compiled, yes :)
     
  20. By compiled do u mean ran with the java command? sorry for my bad english
     
Thread Status:
Not open for further replies.

Share This Page